## cascading.flow.local
Class LocalFlowConnector

    java.lang.Object
      cascading.flow.FlowConnector
          cascading.flow.local.LocalFlowConnector

    public class LocalFlowConnector

extends FlowConnector

Use the LocalFlowConnector to link source and sink `Tap` instances with an assembly of `Pipe` instances into an executable `LocalFlow` for execution in local memory.

See Also:
  `AppProps`, `FlowConnectorProps`, `FlowDef`

Field Summary

Fields inherited from class cascading.flow.FlowConnector
`properties`

Constructor Summary
`LocalFlowConnector()` Constructor LocalFlowConnector creates a default instance.
`LocalFlowConnector(Map<Object,Object> properties)` Constructor LocalFlowConnector creates an instance using any of the given properites.

Method Summary
`protected FlowPlanner` `createFlowPlanner()`
`protected Class<? extends Scheme>` `getDefaultIntermediateSchemeClass()`

Methods inherited from class cascading.flow.FlowConnector
`connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, getIntermediateSchemeClass, getPlatformInfo, getProperties, setApplicationJarClass, setApplicationJarPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalFlowConnector

    public LocalFlowConnector()

  Constructor LocalFlowConnector creates a default instance.

### LocalFlowConnector

    public LocalFlowConnector(Map<Object,Object> properties)

  Constructor LocalFlowConnector creates an instance using any of the given properites.

  Parameters:
    `properties` - of type Map

Method Detail

### getDefaultIntermediateSchemeClass

    protected Class<? extends Scheme> getDefaultIntermediateSchemeClass()

  Specified by:
    `getDefaultIntermediateSchemeClass` in class `FlowConnector`

### createFlowPlanner

    protected FlowPlanner createFlowPlanner()

  Specified by:
    `createFlowPlanner` in class `FlowConnector`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.